import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'requests/requests.dart';
import 'responses/responses.dart';

export 'requests/requests.dart';
export 'responses/responses.dart';

part 'applepay.api.dart';

@ReflutterHttp(name: 'SquareApplePay')
abstract class _SquareApplePayEndpoint {
  @Post('/v2/apple-pay/domains')
  Future<ReflutterResponse<RegisterDomainResponse>> registerDomain(@Body() RegisterDomainRequest body);
}