import 'package:json_annotation/json_annotation.dart';

part 'register.g.dart';

@JsonSerializable()
class RegisterDomainRequest {
  @JsonValue('domain_name')
  final String domainName;

  RegisterDomainRequest({this.domainName});

  factory RegisterDomainRequest.fromJson(Map<String, dynamic> json) => _$RegisterDomainRequestFromJson(json);
  Map<String, dynamic> toJson() => _$RegisterDomainRequestToJson(this);  
}