import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'responses/responses.dart';
import 'requests/requests.dart';

export 'responses/responses.dart';
export 'requests/requests.dart';

part 'auth.api.dart';

@ReflutterHttp(name: 'SquareCatalog')
abstract class _SquareAuthEndpoint {

  @Post('/mobile/authorization-code')
  Future<ReflutterResponse<CreateAuthorizationResponse>> batchDelete(
    @Body() CreateAuthorizationRequest req
  );

}