import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'discount.g.dart';

@JsonSerializable()
class CatalogDiscount {
  final String name;
  @JsonValue('discount_type')
  final String discountType;
  final String percentage;
  @JsonValue('amount_money')
  final Money amountMoney;
  @JsonValue('pin_required')
  final bool pinRequired;
  @JsonValue('label_color')
  final String labelColor;

  CatalogDiscount({this.name, this.discountType, this.percentage, this.amountMoney, this.pinRequired, this.labelColor});

  factory CatalogDiscount.fromJson(Map<String, dynamic> json) => _$CatalogDiscountFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogDiscountToJson(this);
}