import 'package:json_annotation/json_annotation.dart';

part 'idmapping.g.dart';

@JsonSerializable()
class CatalogIdMapping {
  @JsonValue('object_id')
  final String objectId;
  @JsonValue('client_object_id')
  final String clientObjectId;

  CatalogIdMapping({this.objectId, this.clientObjectId});

  factory CatalogIdMapping.fromJson(Map<String, dynamic> json) => _$CatalogIdMappingFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogIdMappingToJson(this);
}