import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'modifier.g.dart';

@JsonSerializable()
class CatalogModifier {
  final String name;
  @JsonValue('price_money')
  final Money priceMoney;
 
  CatalogModifier({this.name, this.priceMoney});

  factory CatalogModifier.fromJson(Map<String, dynamic> json) => _$CatalogModifierFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogModifierToJson(this);
}