import 'package:dart_square/src/catalog/models/models.dart';
import 'package:json_annotation/json_annotation.dart';

part 'batchupsert.g.dart';

@JsonSerializable()
class BatchUpsertBody {
  @JsonValue('idempotency_key')
  String idempotencyKey;
  List<CatalogObjectBatch> batches;

  BatchUpsertBody(this.idempotencyKey, {this.batches});

  factory BatchUpsertBody.fromJson(Map<String, dynamic> json) => _$BatchUpsertBodyFromJson(json);
  Map<String, dynamic> toJson() => _$BatchUpsertBodyToJson(this);
}