import 'package:json_annotation/json_annotation.dart';

part 'updatemodifiers.g.dart';

@JsonSerializable()
class UpdateItemModifiersRequest {
  @JsonValue('item_ids')
  List<String> itemIds;
  @JsonValue('modifier_lists_to_enable')
  List<String> modifierListsToEnable;
  @JsonValue('modifier_lists_to_disable')
  List<String> modifierListsToDisable;

  UpdateItemModifiersRequest(this.itemIds, {this.modifierListsToEnable, this.modifierListsToDisable});

  factory UpdateItemModifiersRequest.fromJson(Map<String, dynamic> json) => _$UpdateItemModifiersRequestFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateItemModifiersRequestToJson(this);
}