import 'package:dart_square/src/catalog/models/models.dart';
import 'package:json_annotation/json_annotation.dart';

part 'upsert.g.dart';

@JsonSerializable()
class UpsertCatalogRequest {
  @JsonValue('idempotency_key')
  String idempotencyKey;
  CatalogObject object;

  UpsertCatalogRequest(this.idempotencyKey, this.object);

  factory UpsertCatalogRequest.fromJson(Map<String, dynamic> json) => _$UpsertCatalogRequestFromJson(json);
  Map<String, dynamic> toJson() => _$UpsertCatalogRequestToJson(this);
}