import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'batchdelete.g.dart';

@JsonSerializable()
class BatchDeleteResponse {
  final List<SquareError> errors;
  @JsonValue("deleted_object_ids")
  final List<String> deletedObjectIds;
  @JsonValue("deleted_at")
  final String deletedAt;

  BatchDeleteResponse({this.errors, this.deletedObjectIds, this.deletedAt});

  factory BatchDeleteResponse.fromJson(Map<String, dynamic> json) => _$BatchDeleteResponseFromJson(json);
  Map<String, dynamic> toJson() => _$BatchDeleteResponseToJson(this);
}
