import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'updateitem.g.dart';

@JsonSerializable()
class UpdateItemResponse {
  final List<SquareError> errors;
  @JsonValue('updated_at')
  final String updatedAt;

  UpdateItemResponse({this.errors, this.updatedAt});

  factory UpdateItemResponse.fromJson(Map<String, dynamic> json) => _$UpdateItemResponseFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateItemResponseToJson(this);
}