import 'dart:async';
import 'dart:convert';
import 'package:http/http.dart';
import 'package:reflutter/reflutter.dart';
import 'responses/responses.dart';

export 'responses/responses.dart';

part 'locations.api.dart';

@ReflutterHttp(name: 'SquareLocations')
abstract class _SquareLocationsEndpoint {
  @Get('/v2/locations')
  Future<ReflutterResponse<ListLocationsResponse>> registerDomain();
}