import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'create.g.dart';

@JsonSerializable()
class CreateOrderResponse {
  final Order order;
  final List<SquareError> errors;

  CreateOrderResponse({ this.order, this.errors });

  factory CreateOrderResponse.fromJson(Map<String, dynamic> json) => _$CreateOrderResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateOrderResponseToJson(this);
}
