import 'package:dart_square/shared.dart';
import 'package:json_annotation/json_annotation.dart';

part 'additional_receivables.g.dart';

@JsonSerializable()
class AdditionalReceivablesResponse {
  final List<SquareError> errors;
  final List<AdditionalRecipientReceivable> receivables;
  final String cursor;

  AdditionalReceivablesResponse({ this.errors, this.receivables, this.cursor });

  factory AdditionalReceivablesResponse.fromJson(Map<String, dynamic> json) => _$AdditionalReceivablesResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AdditionalReceivablesResponseToJson(this);
}