import 'package:json_annotation/json_annotation.dart';

part 'squareerror.g.dart';

@JsonSerializable()
class SquareError {
  final String category;
  final String code;
  final String field;
  final String detail;

  SquareError({this.category, this.code, this.field, this.detail});

  factory SquareError.fromJson(Map<String, dynamic> json) => _$SquareErrorFromJson(json);
  Map<String, dynamic> toJson() => _$SquareErrorToJson(this);
}