import 'package:dart_square/shared.dart';
import 'package:json_annotation/json_annotation.dart';

part 'refund.g.dart';

@JsonSerializable()
class RefundRequest {
  @JsonValue("idempotency_key")
  final String idempotencyKey;
  @JsonValue('tender_id')
  final String tenderId;
  final String reason;
  @JsonValue("amount_money")
  final Money amount;
  
  RefundRequest(this.idempotencyKey, this.tenderId, this.amount, {this.reason});

  factory RefundRequest.fromJson(Map<String, dynamic> json) => _$RefundRequestFromJson(json);
  Map<String, dynamic> toJson() => _$RefundRequestToJson(this);
}