import 'package:dart_square/shared.dart';
import 'package:json_annotation/json_annotation.dart';

part 'capture.g.dart';

@JsonSerializable()
class CaptureTransactionResponse {
  final List<SquareError> errors;

  CaptureTransactionResponse({ this.errors });

  factory CaptureTransactionResponse.fromJson(Map<String, dynamic> json) => _$CaptureTransactionResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CaptureTransactionResponseToJson(this);
}