import 'package:dart_square/shared.dart';
import 'package:json_annotation/json_annotation.dart';

part 'charge.g.dart';

@JsonSerializable()
class ChargeTransactionResponse {
  final List<SquareError> errors;
  final Transaction transaction;

  ChargeTransactionResponse({ this.errors, this.transaction });

  factory ChargeTransactionResponse.fromJson(Map<String, dynamic> json) => _$ChargeTransactionResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ChargeTransactionResponseToJson(this);
}