import 'package:json_annotation/json_annotation.dart';

part 'authorization.g.dart';

@JsonSerializable()
class CreateAuthorizationRequest {
  @JsonValue('location_id')
  final String location_id;
 
  CreateAuthorizationRequest({ this.location_id });

  factory CreateAuthorizationRequest.fromJson(Map<String, dynamic> json) => _$CreateAuthorizationRequestFromJson(json);
  Map<String, dynamic> toJson() => _$CreateAuthorizationRequestToJson(this);
}