import 'package:json_annotation/json_annotation.dart';

part 'authorization.g.dart';

@JsonSerializable()
class CreateAuthorizationResponse {
  @JsonValue('authorization_code')
  final String authorizationCode;
  @JsonValue('expires_at')
  final String expiresAt;

  CreateAuthorizationResponse({ this.authorizationCode, this.expiresAt });

  factory CreateAuthorizationResponse.fromJson(Map<String, dynamic> json) => _$CreateAuthorizationResponseFromJson(json);
  Map<String, dynamic> toJson() => _$CreateAuthorizationResponseToJson(this);
}