import 'package:json_annotation/json_annotation.dart';
import 'object.dart';

part 'modifierlist.g.dart';

@JsonSerializable()
class CatalogModifierList {
  final String name;
  @JsonValue('selection_type')
  final String selectionType;
  final List<CatalogObject> modifiers;
 
  CatalogModifierList({this.name, this.selectionType, this.modifiers});

  factory CatalogModifierList.fromJson(Map<String, dynamic> json) => _$CatalogModifierListFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogModifierListToJson(this);
}