import 'package:json_annotation/json_annotation.dart';

part 'tax.g.dart';

@JsonSerializable()
class CatalogTax {
  final String name;
  @JsonValue('calculation_phase')
  final String calculationPhase;
  @JsonValue('inclusion_type')
  final String inclusionType;
  final String percentage;
  @JsonValue('applies_to_custom_amounts')
  final bool appliesToCustomAmounts;
  final bool enabled;

  CatalogTax({this.name, this.calculationPhase, this.inclusionType, this.percentage, this.appliesToCustomAmounts, this.enabled});

  factory CatalogTax.fromJson(Map<String, dynamic> json) => _$CatalogTaxFromJson(json);
  Map<String, dynamic> toJson() => _$CatalogTaxToJson(this);
}