import 'package:json_annotation/json_annotation.dart';

part 'batchretrieve.g.dart';

@JsonSerializable()
class BatchRetrieveBody {
  @JsonValue('object_ids')
  List<String> objectIds;
  @JsonValue('include_related_objects')
  bool includeRelatedObjects;

  BatchRetrieveBody(this.objectIds, {this.includeRelatedObjects});

  factory BatchRetrieveBody.fromJson(Map<String, dynamic> json) => _$BatchRetrieveBodyFromJson(json);
  Map<String, dynamic> toJson() => _$BatchRetrieveBodyToJson(this);
}