import 'package:json_annotation/json_annotation.dart';

part 'updatetaxes.g.dart';

@JsonSerializable()
class UpdateItemTaxesRequest {
  @JsonValue('item_ids')
  List<String> itemIds;
  @JsonValue('taxes_to_enable')
  List<String> taxesToEnable;
  @JsonValue('taxes_to_disable')
  List<String> taxesToDisable;

  UpdateItemTaxesRequest(this.itemIds, {this.taxesToEnable, this.taxesToDisable});

  factory UpdateItemTaxesRequest.fromJson(Map<String, dynamic> json) => _$UpdateItemTaxesRequestFromJson(json);
  Map<String, dynamic> toJson() => _$UpdateItemTaxesRequestToJson(this);
}