import 'package:dart_square/src/catalog/models/models.dart';
import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'retrieve.g.dart';

@JsonSerializable()
class RetrieveCatalogResponse {
  final List<SquareError> errors;
  final CatalogObject object;
  @JsonValue('related_objects')
  final List<CatalogObject> relatedObjects;

  RetrieveCatalogResponse({this.errors, this.object, this.relatedObjects});

  factory RetrieveCatalogResponse.fromJson(Map<String, dynamic> json) => _$RetrieveCatalogResponseFromJson(json);
  Map<String, dynamic> toJson() => _$RetrieveCatalogResponseToJson(this);
}
