import 'package:json_annotation/json_annotation.dart';
import 'package:dart_square/shared.dart';

part 'retrieve.g.dart';

@JsonSerializable()
class OrderResponse {
  final List<Order> orders;
  final List<SquareError> errors;

  OrderResponse({ this.orders, this.errors });

  factory OrderResponse.fromJson(Map<String, dynamic> json) => _$OrderResponseFromJson(json);
  Map<String, dynamic> toJson() => _$OrderResponseToJson(this);
}
