import 'package:dart_square/shared.dart';
import 'package:json_annotation/json_annotation.dart';

part 'additional_refunds.g.dart';

@JsonSerializable()
class AdditionalRefundsResponse {
  final List<SquareError> errors;
  @JsonValue('receivable_refunds')
  final List<AdditionalRecipientReceivableRefund> receivableRefunds;
  final String cursor;

  AdditionalRefundsResponse({ this.errors, this.receivableRefunds, this.cursor });

  factory AdditionalRefundsResponse.fromJson(Map<String, dynamic> json) => _$AdditionalRefundsResponseFromJson(json);
  Map<String, dynamic> toJson() => _$AdditionalRefundsResponseToJson(this);
}